Skip to content

Family : Direct

All operations require authentication.

3 operationsv1/ovhCloudConnect/{serviceName}
Agent setup

Lock interfaceProduction

POST
/1.0/ovhCloudConnect/{serviceName}/interface/{id}/lock

Blocks all traffic on the port until it is unlocked (async task).

Path parameters

id
required
integer

Id

serviceName
required
stringuuid

Service name

Response

200Tasksuccessful operation
function
read-only
FunctionEnum

Task function

ValuesaddDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterface
id
read-only
integer

Task id

resourceId
read-only
integer

Reference of the created resource

status
read-only
StatusEnum

Task status

Valuesdenieddoingdoneerrorpausetodo

Example uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/interface/{id}/lock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}

Unlock interfaceProduction

POST
/1.0/ovhCloudConnect/{serviceName}/interface/{id}/unlock

Restores traffic on a locked port (async task).

Path parameters

id
required
integer

Id

serviceName
required
stringuuid

Service name

Response

200Tasksuccessful operation
function
read-only
FunctionEnum

Task function

ValuesaddDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterface
id
read-only
integer

Task id

resourceId
read-only
integer

Reference of the created resource

status
read-only
StatusEnum

Task status

Valuesdenieddoingdoneerrorpausetodo

Example uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/interface/{id}/unlock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}

Generate LOAProduction

POST
/1.0/ovhCloudConnect/{serviceName}/loa

Generates the Letter of Authorization the PoP operator needs to set up your cross-connect.

Path parameters

serviceName
required
stringuuid

Service name

Response

200stringsuccessful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/loa \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"